Subject: Re: [PATCH v4 08/11] wifi: rtw88: Add rtw8821cu chipset support

From: Sascha Hauer <[email-masked]>
Date: Fri, 2 Dec 2022 09:09:52 +0100

On Tue, Nov 29, 2022 at 08:17:53AM -0800, Jakub Kicinski wrote:
> On Tue, 29 Nov 2022 11:07:51 +0100 Sascha Hauer wrote:
> > +config RTW88_8821CU
> > +	tristate "Realtek 8821CU USB wireless network adapter"
> > +	depends on USB
> > +	select RTW88_CORE
> > +	select RTW88_USB
> > +	select RTW88_8821C
> > +	help
> > +	  Select this option will enable support for 8821CU chipset
> > +
> > +	  802.11ac USB wireless network adapter
> 
> Those kconfig knobs add so little code, why not combine them all into
> one? No point bothering the user with 4 different questions with amount
> to almost nothing.

I tend to agree here. I followed the pattern used with PCI support here,
but I also think that we don't need to be able to select all chips
individually. The following should be enough:

config RTW88_PCI
	tristate
	depends on PCI
	default y

config RTW88_USB
	tristate
	depends on USB
	default y

Still I'd like to continue with the current pattern to not block merging
of the USB support with this topic.

I could create a follow up patch though if that's desired.

Sascha

-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |